Package com.usatiuk.dhfs.repository

# Interface CanDeleteReplyOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CanDeleteReply`, `CanDeleteReply.Builder`

public interface CanDeleteReplyOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getDeletionCandidate()`
`bool deletionCandidate = 2;`
`JObjectKeyP`
`getReferrers(int index)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`int`
`getReferrersCount()`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`List<JObjectKeyP>`
`getReferrersList()`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`JObjectKeyPOrBuilder`
`getReferrersOrBuilder(int index)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`List<? extends JObjectKeyPOrBuilder>`
`getReferrersOrBuilderList()`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDeletionCandidate

boolean getDeletionCandidate()
`bool deletionCandidate = 2;`

Returns:
  The deletionCandidate.

### getReferrersList

List<JObjectKeyP> getReferrersList()
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`

### getReferrers

JObjectKeyP getReferrers(int index)
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`

### getReferrersCount

int getReferrersCount()
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`

### getReferrersOrBuilderList

List<? extends JObjectKeyPOrBuilder> getReferrersOrBuilderList()
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`

### getReferrersOrBuilder

JObjectKeyPOrBuilder getReferrersOrBuilder(int index)
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`